

var htmlOpt = '<a href="javascript:void(0);" class="table-btn-edit">编辑</a>' + '<a href="javascript:void(0);" class="table-btn-del">删除</a>'

var htmlOptEdit =
  '<a href="javascript:void(0);" class="table-btn-save" style="color:green">保存</a>' +
  '<a href="javascript:void(0);" class="table-btn-cannel" style="color:red">取消</a>'

// 初始化页面和表格的基础数据
async function initSubPage(id) {
  var subpage = subPageDef[id]
  if (subpage.table) {
    // 表格已经初始化，重新加载数据
    subpage.table.ajax.reload()
    return
  }
}

$(document).ready(function () {
  var tableOption = G.tableGetOption()
  tableOption.columns = [
    { title: '编号', width: '80px' },
    { title: '名称', width: '150px' },
    { title: '型号' },
    { title: '类型' },
    { title: '厂家信息' },
    { title: '生产日期' },
    { title: '通讯方式' },
    {
      title: '操作',
      width: '200px',
      render: function (data, type, row) {
        return htmlOpt
      },
    },
  ]
  var myTable = $('#myTable').DataTable(tableOption)

  $('div.gotopage').html('<b style="color:#7f8fa4">跳转至 </b><input id="searchNumber" style="width:80px"/><b style="color:#7f8fa4;"> 页</b>')

  // myTable.row.add(['1', '2', '3', '', '', '', '', '', '', '', '', ''])
  // myTable.row.add(['1', '2', '3', '', '', '', '', '', '', '', '', ''])
  // myTable.row.add(['1', '2', '3', '', '', '', '', '', '', '', '', ''])
  myTable.draw()

})
